# PCApplyBAorAB

Applies the preconditioner and operator to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCApplyBAorAB(PC pc,PCSide side,Vec x,Vec y,Vec work)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| side | - indicates the preconditioner side, one of PC_LEFT, PC_RIGHT, or PC_SYMMETRIC
| x | - input vector
| work | - work vector

### Output Parameter

y -output vector

### Keywords

PC, apply, operator

### See Also

PCApply(), PCApplyTranspose(), PCApplyBAorABTranspose()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages